Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577309 - [RFE] Documentation on how to backup/restore registry when using S3 storage provider
Summary: [RFE] Documentation on how to backup/restore registry when using S3 storage p...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 17:06 UTC by Bruno Andrade
Modified: 2019-06-12 11:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 11:56:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Vikram Goyal 2018-07-19 06:55:15 UTC
Eric - would such a procedure be supported?

Kathryn - based on Eric's response we may need to proceed with this bug otherwise I will close it.

Comment 2 Eric Rich 2018-07-19 14:05:03 UTC
So long as the process it QE'ed we could support it. We should also extend this to work with Swift (an object storage solution used by OpenStack/CEPH). 

This way we have an on Prem (with OpenStack/CEPH) and Hosted Solution(S3, could also be extended to GCP, Azure, etc) as S3 and SWIFT api's are both commonplace in the Object Storage realm. 

With that said; we should treat this as a product RFE.

Comment 4 Kirsten Newcomer 2019-06-12 11:56:00 UTC
With the introduction of OpenShift 4, Red Hat has delivered or roadmapped a substantial number of features based on feedback by our customers.  Many of the enhancements encompass specific RFEs which have been requested, or deliver a comparable solution to a customer problem, rendering an RFE redundant.

This bz (RFE) has been identified as a feature request not yet planned or scheduled for an OpenShift release and is being closed. 

If this feature is still an active request that needs to be tracked, Red Hat Support can assist in filing a request in the new JIRA RFE system, as well as provide you with updates as the RFE progress within our planning processes. Please open a new support case: https://access.redhat.com/support/cases/#/case/new 

Opening a New Support Case: https://access.redhat.com/support/cases/#/case/new 

As the new Jira RFE system is not yet public, Red Hat Support can help answer your questions about your RFEs via the same support case system.


Note You need to log in before you can comment on or make changes to this bug.